LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XEvent Interface Reference

`import"XEvent.idl";`

Inheritance diagram for XEvent:

## Public Member Functions
string | getType ()
XEventTarget | getTarget ()
XEventTarget | getCurrentTarget ()
PhaseType | getEventPhase ()
boolean | getBubbles ()
boolean | getCancelable ()
com::sun::star::util::Time | getTimeStamp ()
void | stopPropagation ()
void | preventDefault ()
void | initEvent ([in] string eventTypeArg, [in] boolean canBubbleArg, [in] boolean cancelableArg)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getBubbles()

boolean getBubbles | ( |  | ) |

## ◆ getCancelable()

boolean getCancelable | ( |  | ) |

## ◆ getCurrentTarget()

XEventTarget getCurrentTarget | ( |  | ) |

## ◆ getEventPhase()

PhaseType getEventPhase | ( |  | ) |

## ◆ getTarget()

XEventTarget getTarget | ( |  | ) |

## ◆ getTimeStamp()

com::sun::star::util::Time getTimeStamp | ( |  | ) |

## ◆ getType()

string getType | ( |  | ) |

## ◆ initEvent()

void initEvent | ( | [in] string | eventTypeArg,
|  | [in] boolean | canBubbleArg,
|  | [in] boolean | cancelableArg
| ) |  |

## ◆ preventDefault()

void preventDefault | ( |  | ) |

## ◆ stopPropagation()

void stopPropagation | ( |  | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/dom/events/XEvent.idl